#!/usr/bin/env perl
use strict;
use warnings;

use Module::Build;

Module::Build->new(
	module_name => 'File::Rewrite',
	dynamic_config => 0,
	license     => 'perl',
	requires => {
		'perl' => '5.010',
		'autodie' => 0,
		'IPC::System::Simple' => 0, # autodie 'system'
	},
	build_requires => {
		'File::Temp' => 0,
		'Test::NoWarnings' => 0,
	},
	configure_requires => {
		'Module::Build' => 0.38,
	},
	meta_merge => {
		resources => {
			repository => 'git://git.shiar.nl/file-rewrite',
		},
	},
	create_makefile_pl => 'small',
)->create_build_script;

